#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-HRHeMv5XKsdBy3xaseSjvY-dns-internal
key:                  dns-4.1.1-HRHeMv5XKsdBy3xaseSjvY-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  4b04bfe495b0127756b16670417874b8
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-HRHeMv5XKsdBy3xaseSjvY-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-E2Nvh3WkFMk4pawohHisBC
    attoparsec-0.14.4-6bGZjP6ZyLf9ECb8I9ykxo
    auto-update-0.1.6-AP1utvmzPIUwQV2VanrUB base-4.16.4.0
    base16-bytestring-1.0.2.0-76eymd6MufwE29P3zGwRzk
    base64-bytestring-1.2.1.0-14OmW1cOYYrUt9fturBL4 bytestring-0.11.4.0
    case-insensitive-1.2.1.0-6iepj2tDmcw8EsjS9ZrC5G containers-0.6.5.1
    cryptonite-0.30-ALX3fAyHHVJ93H0nGZJayV
    hourglass-0.2.12-JgvOBwn0PgiKbF2TNDaXiv
    iproute-1.7.12-LP0drhMbzDqLlAnm8fNlTt mtl-2.2.2
    network-3.1.4.0-GnkgUFaZcoiLS7LTArWHTl
    psqueues-0.2.8.0-Ij296w526rX4Lc1NNLEeyK

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-B6UruXl1fsP7GVIwzf4jF9
key:                  dns-4.1.1-B6UruXl1fsP7GVIwzf4jF9
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  a3e7f8120840489e01f0f46d5902fa4b
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-B6UruXl1fsP7GVIwzf4jF9
depends:
    array-0.5.4.0 async-2.2.5-E2Nvh3WkFMk4pawohHisBC
    attoparsec-0.14.4-6bGZjP6ZyLf9ECb8I9ykxo
    auto-update-0.1.6-AP1utvmzPIUwQV2VanrUB base-4.16.4.0
    base16-bytestring-1.0.2.0-76eymd6MufwE29P3zGwRzk
    base64-bytestring-1.2.1.0-14OmW1cOYYrUt9fturBL4 bytestring-0.11.4.0
    containers-0.6.5.1 cryptonite-0.30-ALX3fAyHHVJ93H0nGZJayV
    dns-4.1.1-HRHeMv5XKsdBy3xaseSjvY-dns-internal
    hourglass-0.2.12-JgvOBwn0PgiKbF2TNDaXiv
    iproute-1.7.12-LP0drhMbzDqLlAnm8fNlTt mtl-2.2.2
    network-3.1.4.0-GnkgUFaZcoiLS7LTArWHTl
    psqueues-0.2.8.0-Ij296w526rX4Lc1NNLEeyK

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

